//+------------------------------------------------------------------+
//|                                                  DollarValue.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- input parameters
extern int       MAPeriod=21;
//---- buffers
double ExtMapBuffer1[];
double diff = 0.0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
//----
   
   int limit = 0;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
//---- macd counted in the 1-st buffer
   for(int i=0; i<limit; i++)
   {
      diff = iMA("EURUSDm",0,MAPeriod,PERIOD_D1,MODE_EMA,PRICE_CLOSE,0) - iClose("EURUSDm",PERIOD_D1,0);
     
      diff += iMA("GBPUSDm",0,MAPeriod,PERIOD_D1,MODE_EMA,PRICE_CLOSE,0) - iClose("GBPUSDm",PERIOD_D1,0);
      diff += iMA("USDJPYm",0,MAPeriod,PERIOD_D1,MODE_EMA,PRICE_CLOSE,0) - iClose("USDJPYm",PERIOD_D1,0);
      diff += iMA("USDCHFm",0,MAPeriod,PERIOD_D1,MODE_EMA,PRICE_CLOSE,0) - iClose("USDCHFm",PERIOD_D1,0);
       //Print(diff);
      ExtMapBuffer1[i] = -diff; // i got the above in wrong order, i'll fix later
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+